Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/focal64"

  config.vm.provider "virtualbox" do |v|
    v.name = "cpl-vm-lite"
    v.gui = true
    v.memory = 512
    v.customize ['modifyvm', :id, '--clipboard', 'bidirectional']
  end

  config.vm.boot_timeout = 600

  # Do the rest of the provisioning using ansible
  config.vm.provision :ansible, playbook: "../playbooks-cpl/master-lite.yml"

  config.vm.provision :reload
end
